Package com.ads.api.beans.bgm

# Class BusinessRule

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.bgm.BusinessObject
com.ads.api.beans.bgm.BusinessRule

public class BusinessRule extends BusinessObject
This class provides some beans control methods related to Business Rule such as status and user defined fields etc..

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessRule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCriticality()`
  Returns the criticality of the business rule.
  `String`
  `getNotes()`
  Returns the notes related to the business object.
  `String`
  `getObjective()`
  Returns the objective of the business rule
  `String`
  `getPublish()`
  Returns the publish status of the business rule
  `String`
  `getStatus()`
  Returns the status of the business rule.
  `void`
  `setCriticality(String criticality)`
  Sets the criticality of the business rule as specified.
  `void`
  `setNotes(String notes)`
  Sets the notes to the business object as Specified.
  `void`
  `setObjective(String objective)`
  Sets the objective of the business rule as specified
  `void`
  `setPublish(String publish)`
  Sets the publish status of the business rule.
  `void`
  `setStatus(String status)`
  Sets the status of the business rule.
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.bgm.BusinessObject

  `addSDIClassification, getAssetType, getAuditHistory, getCatalogId, getDefinition, getDescription, getFields, getFieldValue, getId, getName, getObjectTypeId, getSDIClassifications, getWorkflowStatus, isSdiFlag, setAssetType, setAuditHistory, setCatalogId, setDefinition, setDescription, setFields, setFieldValue, setId, setName, setSDIClassifications, setSdiFlag, setWorkflowStatus`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BusinessRule

    public BusinessRule()

- ## Method Details

  - ### getObjective

    public String getObjective()
    Returns the objective of the business rule
    Returns:
      objective String

  - ### setObjective

    public void setObjective(String objective)
    Sets the objective of the business rule as specified
    Parameters:
      `objective` - String

  - ### getStatus

    public String getStatus()
    Returns the status of the business rule.
    Returns:
      status String

  - ### setStatus

    public void setStatus(String status)
    Sets the status of the business rule.
    Parameters:
      `status` - String

  - ### getCriticality

    public String getCriticality()
    Returns the criticality of the business rule.
    Returns:
      criticality String.

  - ### setCriticality

    public void setCriticality(String criticality)
    Sets the criticality of the business rule as specified.
    Parameters:
      `criticality` - String

  - ### getPublish

    public String getPublish()
    Returns the publish status of the business rule
    Returns:
      publish String

  - ### setPublish

    public void setPublish(String publish)
    Sets the publish status of the business rule.
    Parameters:
      `publish` - String.

  - ### getNotes

    public String getNotes()
    Returns the notes related to the business object.
    Returns:
      notes String

  - ### setNotes

    public void setNotes(String notes)
    Sets the notes to the business object as Specified.
    Parameters:
      `notes` - String

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BusinessObject`